zenilib: SDL_Event Union Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_Event Union Reference

General event structure. More...

`#include <SDL_events.h>`

## Public Attributes

SDL_MouseButtonEvent | button
SDL_ControllerAxisEvent | caxis
SDL_ControllerButtonEvent | cbutton
SDL_ControllerDeviceEvent | cdevice
SDL_CommonEvent | common
SDL_DollarGestureEvent | dgesture
SDL_DropEvent | drop
SDL_TextEditingEvent | edit
SDL_JoyAxisEvent | jaxis
SDL_JoyBallEvent | jball
SDL_JoyButtonEvent | jbutton
SDL_JoyDeviceEvent | jdevice
SDL_JoyHatEvent | jhat
SDL_KeyboardEvent | key
SDL_MultiGestureEvent | mgesture
SDL_MouseMotionEvent | motion
Uint8 | padding [56]
SDL_QuitEvent | quit
SDL_SysWMEvent | syswm
SDL_TextInputEvent | text
SDL_TouchFingerEvent | tfinger
Uint32 | type
SDL_UserEvent | user
SDL_MouseWheelEvent | wheel
SDL_WindowEvent | window

## Detailed Description

General event structure.

Definition at line 495 of file SDL_events.h.

## Member Data Documentation

SDL_MouseButtonEvent SDL_Event::button

Mouse button event data

Definition at line 504 of file SDL_events.h.

Referenced by Zeni::Gamestate_II::on_event(), Zeni::Gamestate_Base::on_event(), Zeni::Game::on_event(), Zeni::Game::run(), SDL_RendererEventWatch(), and SDLTest_PrintEvent().

SDL_ControllerAxisEvent SDL_Event::caxis

Game Controller axis event data

Definition at line 511 of file SDL_events.h.

Referenced by Zeni::Gamestate_II::on_event(), Zeni::Game::on_event(), and Zeni::Gamestate_Base::on_event().

SDL_ControllerButtonEvent SDL_Event::cbutton

Game Controller button event data

Definition at line 512 of file SDL_events.h.

Referenced by Zeni::Gamestate_II::on_event(), Zeni::Game::on_event(), and Zeni::Gamestate_Base::on_event().

SDL_ControllerDeviceEvent SDL_Event::cdevice

Game Controller device event data

Definition at line 513 of file SDL_events.h.

Referenced by Zeni::Game::on_event(), Zeni::Gamestate_Base::on_event(), and SDL_GameControllerEventWatcher().

SDL_CommonEvent SDL_Event::common

Common event data

Definition at line 498 of file SDL_events.h.

Referenced by Zeni::Game::run().

SDL_DollarGestureEvent SDL_Event::dgesture

Gesture event data

Definition at line 519 of file SDL_events.h.

SDL_DropEvent SDL_Event::drop

Drag and drop event data

Definition at line 520 of file SDL_events.h.

SDL_TextEditingEvent SDL_Event::edit

Text editing event data

Definition at line 501 of file SDL_events.h.

Referenced by SDL_SendEditingText().

SDL_JoyAxisEvent SDL_Event::jaxis

Joystick axis event data

Definition at line 506 of file SDL_events.h.

Referenced by SDL_GameControllerEventWatcher().

SDL_JoyBallEvent SDL_Event::jball

Joystick ball event data

Definition at line 507 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

SDL_JoyButtonEvent SDL_Event::jbutton

Joystick button event data

Definition at line 509 of file SDL_events.h.

Referenced by SDL_GameControllerEventWatcher(), and SDLTest_PrintEvent().

SDL_JoyDeviceEvent SDL_Event::jdevice

Joystick device change event data

Definition at line 510 of file SDL_events.h.

Referenced by SDL_GameControllerEventWatcher().

SDL_JoyHatEvent SDL_Event::jhat

Joystick hat event data

Definition at line 508 of file SDL_events.h.

Referenced by SDL_GameControllerEventWatcher(), and SDLTest_PrintEvent().

SDL_KeyboardEvent SDL_Event::key

Keyboard event data

Definition at line 500 of file SDL_events.h.

Referenced by Zeni::Gamestate_II::on_event(), Zeni::Gamestate_Base::on_event(), Zeni::Game::on_event(), Zeni::Game::run(), SDLTest_CommonEvent(), and SDLTest_PrintEvent().

SDL_MultiGestureEvent SDL_Event::mgesture

Gesture event data

Definition at line 518 of file SDL_events.h.

SDL_MouseMotionEvent SDL_Event::motion

Mouse motion event data

Definition at line 503 of file SDL_events.h.

Referenced by Zeni::Gamestate_II::on_event(), Zeni::Gamestate_Base::on_event(), SDL_RendererEventWatch(), and SDLTest_PrintEvent().

Uint8 SDL_Event::padding[56]

Definition at line 529 of file SDL_events.h.

SDL_QuitEvent SDL_Event::quit

Quit request event data

Definition at line 514 of file SDL_events.h.

Referenced by Zeni::Gamestate_Base::on_event().

SDL_SysWMEvent SDL_Event::syswm

System dependent window event data

Definition at line 516 of file SDL_events.h.

Referenced by Zeni::Gamestate_Base::on_event(), and SDL_PeepEvents().

SDL_TextInputEvent SDL_Event::text

Text input event data

Definition at line 502 of file SDL_events.h.

Referenced by SDL_SendKeyboardText(), and SDLTest_PrintEvent().

SDL_TouchFingerEvent SDL_Event::tfinger

Touch finger event data

Definition at line 517 of file SDL_events.h.

Referenced by SDL_GestureProcessEvent(), and SDLTest_PrintEvent().

Uint32 SDL_Event::type

Event type, shared with all events

Definition at line 497 of file SDL_events.h.

Referenced by Zeni::Gamestate_II::on_event(), Zeni::Game::on_event(), Zeni::Gamestate_Base::on_event(), RemovePendingMoveEvents(), RemovePendingResizedEvents(), RemovePendingSizeChangedEvents(), SDL_AddEvent(), SDL_GameControllerEventWatcher(), SDL_GestureProcessEvent(), SDL_PrivateGameControllerButton(), SDL_PrivateJoystickButton(), SDL_RendererEventWatch(), SDLTest_CommonEvent(), and SDLTest_PrintEvent().

SDL_UserEvent SDL_Event::user

Custom event data

Definition at line 515 of file SDL_events.h.

Referenced by Zeni::Gamestate_Base::on_event(), and SDLTest_PrintEvent().

SDL_MouseWheelEvent SDL_Event::wheel

Mouse wheel event data

Definition at line 505 of file SDL_events.h.

Referenced by Zeni::Gamestate_Base::on_event(), Zeni::Game::run(), and SDLTest_PrintEvent().

SDL_WindowEvent SDL_Event::window

Window event data

Definition at line 499 of file SDL_events.h.

Referenced by Zeni::Gamestate_Base::on_event(), RemovePendingMoveEvents(), RemovePendingResizedEvents(), RemovePendingSizeChangedEvents(), SDL_RendererEventWatch(), SDLTest_CommonEvent(), and SDLTest_PrintEvent().

The documentation for this union was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_events.h